Bug 240256 - [webkit-patch] Include commit messages in patches
Summary: [webkit-patch] Include commit messages in patches
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jonathan Bedard
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2022-05-09 13:24 PDT by Jonathan Bedard
Modified: 2022-05-16 09:46 PDT (History)
7 users (show)

See Also:


Attachments
Patch (720 bytes, patch)
2022-05-09 13:28 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (5.16 KB, patch)
2022-05-13 11:25 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (10.25 KB, patch)
2022-05-13 13:02 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (1.82 KB, patch)
2022-05-14 16:15 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (1.84 KB, patch)
2022-05-14 16:18 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (3.04 KB, patch)
2022-05-14 16:22 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (8.10 KB, patch)
2022-05-14 16:37 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (8.06 KB, patch)
2022-05-14 16:40 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Bedard 2022-05-09 13:24:42 PDT
We should be able to upload and apply patches which contain commit messages.
Comment 1 Radar WebKit Bug Importer 2022-05-09 13:24:53 PDT
<rdar://problem/92982358>
Comment 2 Jonathan Bedard 2022-05-09 13:28:20 PDT
Created attachment 459077 [details]
Patch
Comment 3 Jonathan Bedard 2022-05-13 11:25:53 PDT
Created attachment 459313 [details]
Patch
Comment 4 Jonathan Bedard 2022-05-13 13:02:04 PDT
Created attachment 459318 [details]
Patch
Comment 5 Alexey Proskuryakov 2022-05-13 13:05:08 PDT
Comment on attachment 459318 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=459318&action=review

> COMMIT_MESSAGE:1
> +[webkit-patch] Include commit messages in patches 

Woot!
Comment 6 Jonathan Bedard 2022-05-13 13:07:14 PDT
Pull request: https://github.com/WebKit/WebKit/pull/616
Comment 7 EWS 2022-05-13 16:38:50 PDT
Committed r294183 (250550@main): <https://commits.webkit.org/250550@main>

Reviewed commits have been landed. Closing PR #616 and removing active labels.
Comment 8 Kimmo Kinnunen 2022-05-14 04:43:03 PDT
possibly broke webkit-patch upload:

kkinnunen@mpb4 OpenSource % Tools/Scripts/webkit-patch upload -g HEAD~
Traceback (most recent call last):
  File "Tools/Scripts/check-webkit-style", line 46, in <module>
    sys.exit(CheckWebKitStyle().main())
  File "/Users/kkinnunen/WebKit/OpenSource/Tools/Scripts/webkitpy/style/main.py", line 157, in main
    patch = host.scm().create_patch(options.git_commit, changed_files=changed_files, git_index=options.git_index)
  File "/Users/kkinnunen/WebKit/OpenSource/Tools/Scripts/webkitpy/common/checkout/scm/git.py", line 378, in create_patch
    return self.run(command, decode_output=False, cwd=self.checkout_root)
  File "/Users/kkinnunen/WebKit/OpenSource/Tools/Scripts/webkitpy/common/checkout/scm/scm.py", line 73, in run
    return self._executive.run_command(args,
  File "/Users/kkinnunen/WebKit/OpenSource/Tools/Scripts/webkitpy/common/system/executive.py", line 445, in run_command
    (error_handler or self.default_error_handler)(script_error)
  File "/Users/kkinnunen/WebKit/OpenSource/Tools/Scripts/webkitpy/common/system/abstractexecutive.py", line 98, in default_error_handler
    raise error
webkitpy.common.system.executive.ScriptError: Failed to run "['git', 'format-patch', '--stdout', '--binary', '-O', '/Users/kkinnunen/WebKit/OpenSource/Tools/Scripts/webkitpy/common/config/orderfile', 'HEAD...HEAD~^..HEAD~']" exit_code: 128 cwd: /Users/kkinnunen/WebKit/OpenSource
Are you sure you want to continue? [Y/n]: n
Comment 9 Jonathan Bedard 2022-05-14 06:52:53 PDT
Re-opening for pull request https://github.com/WebKit/WebKit/pull/625
Comment 10 Jonathan Bedard 2022-05-14 06:54:03 PDT
(In reply to Kimmo Kinnunen from comment #8)
> possibly broke webkit-patch upload:
> 
> kkinnunen@mpb4 OpenSource % Tools/Scripts/webkit-patch upload -g HEAD~
> Traceback (most recent call last):
>   File "Tools/Scripts/check-webkit-style", line 46, in <module>
>     sys.exit(CheckWebKitStyle().main())
>   File
> "/Users/kkinnunen/WebKit/OpenSource/Tools/Scripts/webkitpy/style/main.py",
> line 157, in main
>     patch = host.scm().create_patch(options.git_commit,
> changed_files=changed_files, git_index=options.git_index)
>   File
> "/Users/kkinnunen/WebKit/OpenSource/Tools/Scripts/webkitpy/common/checkout/
> scm/git.py", line 378, in create_patch
>     return self.run(command, decode_output=False, cwd=self.checkout_root)
>   File
> "/Users/kkinnunen/WebKit/OpenSource/Tools/Scripts/webkitpy/common/checkout/
> scm/scm.py", line 73, in run
>     return self._executive.run_command(args,
>   File
> "/Users/kkinnunen/WebKit/OpenSource/Tools/Scripts/webkitpy/common/system/
> executive.py", line 445, in run_command
>     (error_handler or self.default_error_handler)(script_error)
>   File
> "/Users/kkinnunen/WebKit/OpenSource/Tools/Scripts/webkitpy/common/system/
> abstractexecutive.py", line 98, in default_error_handler
>     raise error
> webkitpy.common.system.executive.ScriptError: Failed to run "['git',
> 'format-patch', '--stdout', '--binary', '-O',
> '/Users/kkinnunen/WebKit/OpenSource/Tools/Scripts/webkitpy/common/config/
> orderfile', 'HEAD...HEAD~^..HEAD~']" exit_code: 128 cwd:
> /Users/kkinnunen/WebKit/OpenSource
> Are you sure you want to continue? [Y/n]: n

Thanks for letting me know, sending a fix to merge-queue now.
Comment 11 EWS 2022-05-14 07:41:14 PDT
Committed r294194 (250560@main): <https://commits.webkit.org/250560@main>

Reviewed commits have been landed. Closing PR #625 and removing active labels.
Comment 12 Jonathan Bedard 2022-05-14 16:15:50 PDT
Reopening to attach new patch.
Comment 13 Jonathan Bedard 2022-05-14 16:15:52 PDT
Created attachment 459365 [details]
Patch
Comment 14 Jonathan Bedard 2022-05-14 16:18:34 PDT
Created attachment 459366 [details]
Patch
Comment 15 Jonathan Bedard 2022-05-14 16:22:18 PDT
Created attachment 459367 [details]
Patch
Comment 16 Jonathan Bedard 2022-05-14 16:37:36 PDT
Created attachment 459369 [details]
Patch
Comment 17 Jonathan Bedard 2022-05-14 16:40:39 PDT
Created attachment 459370 [details]
Patch
Comment 18 EWS 2022-05-14 17:46:25 PDT
Committed r294212 (250570@main): <https://commits.webkit.org/250570@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 459370 [details].
Comment 19 zsun 2022-05-16 03:49:33 PDT
"Tools/Scripts/webkit-patch upload"  used to automatically create ChangeLog files but this doesn't seem to be the case any more. Is this something related to this patch?
Comment 20 Jonathan Bedard 2022-05-16 09:18:30 PDT
(In reply to zsun from comment #19)
> "Tools/Scripts/webkit-patch upload"  used to automatically create ChangeLog
> files but this doesn't seem to be the case any more. Is this something
> related to this patch?

Short answer, yes.

Longer answer: If you aren't getting prompted to create a ChangeLog, that probably means you have a local commit. If you run webkit-patch without a local commit and just uncommitted changes, you should get the prompt to create changelogs.
Comment 21 zsun 2022-05-16 09:20:21 PDT
(In reply to Jonathan Bedard from comment #20)
> (In reply to zsun from comment #19)
> > "Tools/Scripts/webkit-patch upload"  used to automatically create ChangeLog
> > files but this doesn't seem to be the case any more. Is this something
> > related to this patch?
> 
> Short answer, yes.
> 
> Longer answer: If you aren't getting prompted to create a ChangeLog, that
> probably means you have a local commit. If you run webkit-patch without a
> local commit and just uncommitted changes, you should get the prompt to
> create changelogs.

Thanks!